SDL_GL_SetSwapInterval(3)

NAME
SDL_GL_SetSwapInterval - Set the swap interval for the current OpenGL context.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GL_SetSwapInterval(int interval);

DESCRIPTION
Some systems allow specifying -1 for the interval, to enable adaptive vsync. Adaptive vsync works the same as vsync, but if you've already missed the vertical retrace for a given frame, it swaps buffers immediately, which might be less jarring for the user during occasional framerate drops. If an application requests adaptive vsync and the system does not support it, this function will fail and return -1. In such a case, you should probably retry the call with 1 for the interval. Adaptive vsync is implemented for some glX drivers with GLX_EXT_swap_control_tear, and for some Windows drivers with WGL_EXT_swap_control_tear. Read more on the Khronos wiki: https://www.khronos.org/opengl/wiki/Swap_Interval#Adaptive_Vsync

FUNCTION PARAMETERS

interval
    0 for immediate updates, 1 for updates synchronized with the vertical retrace, -1 for adaptive vsync

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GL_GetSwapInterval(3)